Bug 197805 - [WebAuthN] Make WebAuthN default on
Summary: [WebAuthN] Make WebAuthN default on
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2019-05-10 17:10 PDT by Jiewen Tan
Modified: 2019-05-15 11:01 PDT (History)
9 users (show)

See Also:


Attachments
Patch (2.49 KB, patch)
2019-05-10 17:16 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews101 for mac-highsierra (3.08 MB, application/zip)
2019-05-10 18:25 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews117 for mac-highsierra (2.88 MB, application/zip)
2019-05-10 19:10 PDT, Build Bot
no flags Details
Patch (1.17 KB, patch)
2019-05-14 12:57 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2019-05-10 17:10:23 PDT
Make WebAuthN default on.
Comment 1 Radar WebKit Bug Importer 2019-05-10 17:12:40 PDT
<rdar://problem/50683699>
Comment 2 Jiewen Tan 2019-05-10 17:16:51 PDT
Created attachment 369624 [details]
Patch
Comment 3 Build Bot 2019-05-10 18:25:04 PDT Comment hidden (obsolete)
Comment 4 Build Bot 2019-05-10 18:25:06 PDT Comment hidden (obsolete)
Comment 5 Build Bot 2019-05-10 19:09:59 PDT Comment hidden (obsolete)
Comment 6 Build Bot 2019-05-10 19:10:00 PDT Comment hidden (obsolete)
Comment 7 Darin Adler 2019-05-13 20:16:01 PDT
(In reply to Build Bot from comment #5)
> fast/dom/navigator-detached-no-crash.html

Need to rebase this test.
Comment 8 Jiewen Tan 2019-05-14 12:56:04 PDT
(In reply to Darin Adler from comment #7)
> (In reply to Build Bot from comment #5)
> > fast/dom/navigator-detached-no-crash.html
> 
> Need to rebase this test.

I shouldn't change Source/WebCore/page/RuntimeEnabledFeatures.h which will enable WebAuthentication in LegacyWebKit. Thanks!
Comment 9 Jiewen Tan 2019-05-14 12:57:18 PDT
Created attachment 369886 [details]
Patch
Comment 10 WebKit Commit Bot 2019-05-15 11:01:23 PDT
Comment on attachment 369886 [details]
Patch

Clearing flags on attachment: 369886

Committed r245329: <https://trac.webkit.org/changeset/245329>
Comment 11 WebKit Commit Bot 2019-05-15 11:01:25 PDT
All reviewed patches have been landed.  Closing bug.